/* Scoping the Bootstrap Modal via the custom class */

.Vip_order_completed {
  position: relative;
}
.vip_modal .modal-content {
  border: none;
  background-color: transparent;
}

.vip_modal .vip-modal-body .vip-modal-content {
  background-color: #fff;
  padding: 45px 5% !important;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: 0 0px 3px #fff;
  gap: 32px;
}

.vip_modal .vip-modal-body .header_btn_holder {
  position: relative;
  top: 17px;
  left: 0px;
  right: 0px;
  z-index: 1;
}

/* Gray Circular Close Button */
.vip_modal .vip-modal-close-btn {
  position: absolute;
  top: 65px;
  right: 5px;

  z-index: 11;
}

.vip_modal .modal-body {
  position: relative;
  flex: 1 1 auto;
  padding: var(--bs-modal-padding);
  padding: 0px;
}
.vip_modal .vip-modal-close-btn:hover {
  background: #444;
}

/* Layout for internal content */
.vip_modal .vip-modal-container {
  text-align: center;
}

.vip_modal .vip-modal-text {
  font-size: 25px;
  font-weight: 800;
  color: #000000;
  margin-bottom: 0px;
  line-height: 1.3;
}

.vip_modal .number_heading {
  color: #bb0000;
  font-weight: 900;
  font-size: 45px;
}

.vip_modal .order_heading {
  color: #bb0000;
  font-weight: 700;
  font-size: 22px;
}

.Vip_order_completed .vip-modal-text {
  font-weight: 600;
}

.vip_modal .Common_Black_Btn {
  margin-top: 20px;
}

.vip_modal .Common_Black_Btn .Black_btn {
  font-size: 20px;
}

.vip_modal .Common_Red_btn .Red_btn {
  padding: 10px;
  font-size: 21px;
}

.vip_modal .Common_Red_btn .Red_btn,
.vip_modal .Common_Red_btn .Red_btn:hover,
.vip_modal .Common_Red_btn .Red_btn:active,
.vip_modal .Common_Red_btn .Red_btn.active {
  background: #bb0000;
  border: 1px solid #bb0000;
}

@media (min-width: 0px) and (max-width: 485px) {
  .vip_modal .vip-modal-close-btn {
    top: 40px;
  }
  .vip_modal .vip-modal-text {
    font-size: 15px;
  }

  .vip_modal .Common_Red_btn .Red_btn {
    padding: 5px;
    font-size: 13px;
  }

  .vip_modal .Common_Black_Btn .Black_btn {
    font-size: 13px;
  }
}
